Maze Burrow Pre-Alpha Demo - Compatibility Update


A few users reported issues playing Maze Burrow due to it requiring .NET Framework 4.7.2, so I uploaded a new build that targets a lower version to increase compatibility with older operating systems and machines. I want to thank everyone playing Maze Burrow; it really means a lot to me, and I can't wait to see more of your feedback!

Files

Maze Burrow v0.1.zip 13 MB
Dec 02, 2018

Get Maze Burrow

Buy Now$9.99 USD or more

Leave a comment

Log in with itch.io to leave a comment.